export * from './abi';
export * from './utils';
type Hex = `0x${string}`;
/**
 * The eco protocol chain configuration type. Represents
 * all the deployed contracts on a chain.
 *
 * @packageDocumentation
 * @module index
 */
export type EcoChainConfig = {
    Prover?: Hex;
    IntentSource: Hex;
    Inbox: Hex;
    HyperProver: Hex;
};
/**
 * The chain ids for the eco protocol
 *
 * @packageDocumentation
 * @module index
 */
export type EcoChainIds = "10" | "5000" | "8453" | "42161" | "84532" | "421614" | "11155420" | "42161-pre" | "421614-pre" | "84532-pre" | "11155420-pre" | "10-pre" | "5000-pre" | "8453-pre";
/**
 * This file contains the addresses of the contracts deployed on the EcoProtocol network
 * for the current npm package release. The addresses are generated by the deploy script.
 *
 * @packageDocumentation
 * @module index
*/
export declare const EcoProtocolAddresses: Record<EcoChainIds, EcoChainConfig>;
